Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ThreadDownloadResources

    java.lang.Object
      java.lang.Thread
          net.minecraft.src.ThreadDownloadResources

All Implemented Interfaces:
  Runnable

    public class ThreadDownloadResources

extends Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`File` | `resourcesFolder` The folder to store the resources in.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ThreadDownloadResources(File par1File, Minecraft par2Minecraft)`

Method Summary
`void` | `closeMinecraft()` Called when Minecraft is closing down.
`void` | `reloadResources()` Reloads the resource folder and passes the resources to Minecraft to install.
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### resourcesFolder

    public File resourcesFolder

  The folder to store the resources in.

Constructor Detail

### ThreadDownloadResources

    public ThreadDownloadResources(File par1File,
                                   Minecraft par2Minecraft)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### reloadResources

    public void reloadResources()

  Reloads the resource folder and passes the resources to Minecraft to install.

### closeMinecraft

    public void closeMinecraft()

  Called when Minecraft is closing down.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD